Bug 215973 - [NEW PORT] net/nncp: Utilities for secure store-and-forward files and mail exchanging
Summary: [NEW PORT] net/nncp: Utilities for secure store-and-forward files and mail ex...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Yuri Victorovich
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-01-11 15:57 UTC by Sergey Matveev
Modified: 2018-01-29 16:17 UTC (History)
2 users (show)

See Also:


Attachments
Initial net/nncp port shar (2.38 KB, text/plain)
2017-01-11 15:57 UTC, Sergey Matveev
no flags Details
Updated 0.2 patch (7.06 KB, patch)
2017-01-17 08:29 UTC, Sergey Matveev
no flags Details | Diff
0.4 version (7.08 KB, text/plain)
2017-01-20 05:39 UTC, Sergey Matveev
no flags Details
0.5 version (7.08 KB, text/plain)
2017-02-06 20:20 UTC, Sergey Matveev
stargrave: maintainer-approval+
Details
0.6 version (7.10 KB, text/plain)
2017-04-02 14:44 UTC, Sergey Matveev
stargrave: maintainer-approval+
Details
0.7 version (7.37 KB, text/plain)
2017-04-30 14:25 UTC, Sergey Matveev
stargrave: maintainer-approval+
Details
0.8 version (7.50 KB, text/plain)
2017-05-17 16:21 UTC, Sergey Matveev
stargrave: maintainer-approval+
Details
0.9 version (7.37 KB, text/plain)
2017-06-11 10:10 UTC, Sergey Matveev
stargrave: maintainer-approval+
Details
0.10 version (7.38 KB, text/plain)
2017-07-04 19:34 UTC, Sergey Matveev
stargrave: maintainer-approval+
Details
0.11 version (7.33 KB, text/plain)
2017-08-21 09:48 UTC, Sergey Matveev
stargrave: maintainer-approval+
Details
1.0 version (7.39 KB, text/plain)
2017-12-02 16:27 UTC, Sergey Matveev
stargrave: maintainer-approval+
Details
2.0 version (7.39 KB, text/plain)
2017-12-30 09:52 UTC, Sergey Matveev
stargrave: maintainer-approval+
Details
Updated patch (11.00 KB, patch)
2017-12-31 10:25 UTC, Yuri Victorovich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sergey Matveev 2017-01-11 15:57:51 UTC
Created attachment 178756 [details]
Initial net/nncp port shar

NNCP (Node to Node copy) is a collection of utilities simplifying secure store-and-forward files and mail exchanging.
Comment 1 Sergey Matveev 2017-01-17 08:29:29 UTC
Created attachment 178977 [details]
Updated 0.2 patch
Comment 2 Sergey Matveev 2017-01-20 05:39:59 UTC
Created attachment 179125 [details]
0.4 version
Comment 3 Sergey Matveev 2017-02-06 20:20:33 UTC
Created attachment 179683 [details]
0.5 version
Comment 4 Sergey Matveev 2017-04-02 14:44:17 UTC
Created attachment 181401 [details]
0.6 version
Comment 5 Sergey Matveev 2017-04-30 14:25:20 UTC
Created attachment 182194 [details]
0.7 version
Comment 6 Sergey Matveev 2017-05-17 16:21:56 UTC
Created attachment 182670 [details]
0.8 version
Comment 7 Sergey Matveev 2017-06-11 10:10:23 UTC
Created attachment 183400 [details]
0.9 version
Comment 8 Sergey Matveev 2017-07-04 19:34:56 UTC
Created attachment 184058 [details]
0.10 version
Comment 9 Mathieu Arnold freebsd_committer 2017-07-06 13:52:38 UTC
Assignee timeout. Give back to the pool.
Comment 10 Sergey Matveev 2017-08-21 09:48:50 UTC
Created attachment 185632 [details]
0.11 version
Comment 11 Sergey Matveev 2017-12-02 16:27:58 UTC
Created attachment 188471 [details]
1.0 version
Comment 12 Sergey Matveev 2017-12-30 09:52:09 UTC
Created attachment 189214 [details]
2.0 version
Comment 13 Yuri Victorovich freebsd_committer 2017-12-31 10:25:20 UTC
Created attachment 189286 [details]
Updated patch
Comment 14 Yuri Victorovich freebsd_committer 2017-12-31 10:26:54 UTC
Sergey,

Are you able to verify that this version works?
Please note that all files are used in etc/newsyslog.conf.d/, so .sample can't be placed there. I linked it one directory up.

Thanks,
Yuri
Comment 15 Sergey Matveev 2018-01-01 17:03:25 UTC
Greetings, Yuri!

You are right that I forget that all files in newsyslog.d are sourced. Thanks for the correction!

I have checked your patch and have not found any problems.

Suddenly I saw a typo in pkg-message.in: it mentions "nncp-newcfg" command, that was renamed long time ago to "nncp-cfgnew". Could you also fix it too?
Comment 16 Yuri Victorovich freebsd_committer 2018-01-01 17:18:41 UTC
(In reply to Sergey Matveev from comment #15)

Thanks for verifying that it works!

I will correct the command name.

Cheers!
Yuri
Comment 17 Sergey Matveev 2018-01-01 18:02:47 UTC
Thank you!
Comment 18 Yuri Victorovich freebsd_committer 2018-01-29 16:17:52 UTC
Committed with some changes.
Thank you for your contribution!
Comment 19 commit-hook freebsd_committer 2018-01-29 16:17:55 UTC
A commit references this bug:

Author: yuri
Date: Mon Jan 29 16:17:46 UTC 2018
New revision: 460314
URL: https://svnweb.freebsd.org/changeset/ports/460314

Log:
  New port: net/nncp: Utilities for secure store-and-forward files and mail exchanging

  More information is here: http://www.nncpgo.org/

  PR:		215973
  Submitted by:	Sergey Matveev <stargrave@stargrave.org>
  Approved by:	tcberner (mentor), mat
  Differential Revision:	https://reviews.freebsd.org/D13700

Changes:
  head/net/Makefile
  head/net/nncp/
  head/net/nncp/Makefile
  head/net/nncp/distinfo
  head/net/nncp/files/
  head/net/nncp/files/nncp-caller.in
  head/net/nncp/files/nncp-daemon.in
  head/net/nncp/files/nncp-toss.in
  head/net/nncp/files/nncp.newsyslog.conf.sample
  head/net/nncp/files/pkg-deinstall.in
  head/net/nncp/files/pkg-install.in
  head/net/nncp/files/pkg-message.in
  head/net/nncp/pkg-descr
  head/net/nncp/pkg-plist